<?php

namespace Drupal\search_api_decoupled_ui;

use Drupal\Core\Form\FormStateInterface;
use Drupal\search_api_decoupled_ui\Plugin\search_ui_element\SearchUiElementBase;

/**
 * Abstract class providing validation and submit methods.
 */
abstract class ConfigurableSearchUiElementBase extends SearchUiElementBase implements ConfigurableSearchUiElementInterface {

  /**
   * {@inheritdoc}
   */
  public function validateConfigurationForm(array &$form, FormStateInterface $form_state) {
  }

  /**
   * {@inheritdoc}
   */
  public function submitConfigurationForm(array &$form, FormStateInterface $form_state) {
  }

}
